#ifndef morpheo_tools_viewer_bdd_signal_h
#define morpheo_tools_viewer_bdd_signal_h

#include <iostream>

 

using namespace std;
namespace morpheo{
namespace tools{
namespace viewer{
namespace bdd{     

  class Signal 
    {
    private:
      int pos_src_x,pos_src_y;
      int pos_dest_x,pos_dest_y;
      //QList<Signal> *signals; //other (dog-legs...)
     
    protected:
      
    public:
      int get_src_x();
      int get_src_y();
      int get_dest_x();
      int get_dest_y();

      Signal(int x,int y,int r,int s);
     
      ~Signal();
      
    };//end class Signal

};//end bdd
};//end viewer
};//end tools
};//end morpheo

#endif
